/* Module configuration */

/* This file contains the table of built-in modules.
   See init_builtin() in import.c. */

#include "Python.h"
extern void init_codecs(void);
extern void init_csv(void);
extern void init_elementtree(void);
extern void init_functools(void);
extern void init_hashlib(void);
extern void init_locale(void);
extern void init_lsprof(void);
extern void init_md5(void);
extern void init_random(void);
extern void init_sha(void);
extern void init_sha256(void);
extern void init_sre(void);
extern void init_ssl(void);
extern void init_struct(void);
extern void init_symtable(void);
extern void init_testcapi(void);
extern void init_weakref(void);
extern void initarray(void);
extern void initaudioop(void);
extern void initbinascii(void);
extern void initbz2(void);
extern void initcPickle(void);
extern void initcStringIO(void);
extern void initcmath(void);
extern void initcollections(void);
extern void initdatetime(void);
extern void initerrno(void);
extern void initfcntl(void);
extern void initfpetest(void);
extern void initimageop(void);
extern void inititertools(void);
extern void initmath(void);
extern void initoperator(void);
extern void initparser(void);
extern void initposix(void);
extern void initpure(void);
extern void initpwd(void);
extern void initpyexpat(void);
extern void initrgbimg(void);
extern void initselect(void);
extern void initsignal(void);
extern void init_socket(void);
extern void initstrop(void);
extern void initthread(void);
extern void inittime(void);
extern void initunicodedata(void);
extern void initxx(void);
extern void initxxsubtype(void);
extern void initzipimport(void);
extern void initzlib(void);
extern void initdummy(void);
extern void initbase85(void);
extern void initbdiff(void);
extern void initdiffhelpers(void);
extern void initmpatch(void);
extern void initosutil(void);

extern void PyMarshal_Init(void);
extern void initimp(void);
extern void initgc(void);
extern void init_ast(void);
extern void init_types(void);

struct _inittab _PyImport_Inittab[] = {

	{"_codecs", init_codecs},
	{"_csv", init_csv},
	{"_elementtree", init_elementtree},
	{"_functools", init_functools},
//	{"_hashlib", init_hashlib},
	{"_locale", init_locale},
	{"_lsprof", init_lsprof},
	{"_md5", init_md5},
	{"_random", init_random},
	{"_sha", init_sha},
	{"_sha256", init_sha256},
	{"_sre", init_sre},
//	{"_ssl", init_ssl},
	{"_struct", init_struct},
	{"_symtable", init_symtable},
	{"_testcapi", init_testcapi},
	{"_weakref", init_weakref},
	{"array", initarray},
	{"audioop", initaudioop},
	{"binascii", initbinascii},
	{"bz2", initbz2},
	{"cPickle", initcPickle},
	{"cStringIO", initcStringIO},
	{"cmath", initcmath},
	{"collections", initcollections},
	{"datetime", initdatetime},
	{"errno", initerrno},
	{"fcntl", initfcntl},
	{"fpetest", initfpetest},
	{"imageop", initimageop},
	{"itertools", inititertools},
	{"math", initmath},
	{"operator", initoperator},
	{"parser", initparser},
	{"posix", initposix},
	{"pure", initpure},
	{"pwd", initpwd},
	{"pyexpat", initpyexpat},
	{"rgbimg", initrgbimg},
	{"select", initselect},
	{"signal", initsignal},
	{"_socket", init_socket},
	{"strop", initstrop},
	{"thread", initthread},
	{"time", inittime},
	{"unicodedata", initunicodedata},
	{"xx", initxx},
	{"xxsubtype", initxxsubtype},
	{"zipimport", initzipimport},
	{"zlib", initzlib},
	{"dummy", initdummy},
	{"base85", initbase85},
	{"bdiff", initbdiff},
	{"diffhelpers", initdiffhelpers},
	{"mpatch", initmpatch},
	{"osutil", initosutil},

	/* This module lives in marshal.c */
	{"marshal", PyMarshal_Init},

	/* This lives in import.c */
	{"imp", initimp},

	/* This lives in Python/Python-ast.c */
	{"_ast", init_ast},

	/* This lives in Python/_types.c */
	{"_types", init_types},

	/* These entries are here for sys.builtin_module_names */
	{"__main__", NULL},
	{"__builtin__", NULL},
	{"sys", NULL},
	{"exceptions", NULL},

	/* This lives in gcmodule.c */
	{"gc", initgc},

	/* Sentinel */
	{0, 0}
};
