#include "Python.h"

#define _PLAN9_SOURCE
#include <u.h>
#include <lib9.h>

#ifdef T386
#define	FPINVAL	(1<<0)
#endif
#ifdef Talpha
#define	FPINVAL	(1<<17)
#endif
#ifdef Tamd64
#define	FPINVAL	(1<<7)
#endif
#ifdef Tarm
#define	FPINVAL	(1<<16)
#endif
#ifdef Tmips
#define	FPINVAL	(1<<11)
#endif
#ifdef Tpower
#define	FPINVAL	(1<<7)
#endif
#ifdef Tpower64
#define	FPINVAL	(1<<7)
#endif
#ifdef Tsparc
#define	FPINVAL	(1<<27)
#endif
#ifdef Tsparc64
#define	FPINVAL	(1<<27)
#endif

#ifndef FPINVAL
#error define FPINVAL for your arch. grep /$cputype/include/u.h
#endif

Threadarg *_threadarg;

extern DL_EXPORT(int) Py_Main(int, char **);

int
main(int argc, char **argv)
{
	Threadarg ta;

	setfcr(getfcr()&~FPINVAL);
	memset(&ta, 0, sizeof ta);
	_threadarg = &ta;
	if(setjmp(ta.jb)){
		(*ta.fn)(ta.arg);
		_exit(1);
	}
	return Py_Main(argc, argv);
}


char *
Py_GetPath(void)
{
	return "/sys/lib/python";
}

char *
Py_GetPrefix(void)
{
	return "/sys/lib/python";
}

char *
Py_GetExecPrefix(void)
{
    return "/sys/lib/python";
}

char *
Py_GetProgramFullPath(void)
{
    return "/bin/python";
}
